Name: tsung
Version: 1.2.2
Release: alt1
Summary: A distributed multi-protocol load testing tool
URL: http://%name.erlang-projects.org/
License: GPL2
Group: Development/Other
Source: http://%name.erlang-projects.org/dist/%name-%version.tar.bz2
Patch: %name-1.2.2-makefile.patch
BuildArch: noarch
Requires: erlang
AutoReq: yes, noerlang

# Automatically added by buildreq on Wed Jul 11 2007 (-bi)
BuildRequires: erlang

%description
%name is a distributed load testing tool. It is protocol-independent
and can currently be used to stress and benchmark HTTP and Jabber
servers. It simulates user behaviour using an XML description file,
reports many measurements in real time (statistics can be customized
with transactions, and graphics generated using gnuplot).
For HTTP, it supports 1.0 and 1.1, has a proxy mode to record sessions,
supports GET and POST methods, Cookies, and Basic WWW-authentication.
It also has support for SSL.


%prep
%setup
%patch -p1
subst '/^-include_lib(/ s|^\(.*".*/\)src.*\(/[^/]*\.hrl"\)|\1include\2|' src/lib/*.erl
subst '1 s|^#!.*$|#!/bin/bash|' %name.sh.in
subst '1 s|^#!.*$|#!%_bindir/perl|' src/log2%name.pl.in


%build
%configure
%make all


%install
%make_install \
    DESTDIR=%buildroot \
    DOC_DIR=%_docdir/%name-%version \
    ERLANG_LIB_DIR=%_otplibdir \
    LIBDIR=%_libexecdir/%name \
    install
rm -rf %buildroot%_otplibdir/{*/{src,BUILD_OPTIONS},tsung_*/include}
bzip2 --best --stdout CHANGES > %buildroot%_docdir/%name-%version/CHANGES.bz2
install -m 0644 CONTRIBUTORS README TODO doc/*.txt %buildroot%_docdir/%name-%version/


%files
%dir %_docdir/%name-%version
%_docdir/%name-%version/*
%_bindir/*
%_otplibdir/*
%_man1dir/*
%dir %_libexecdir/%name
%_libexecdir/%name/*
%dir %_datadir/%name
%_datadir/%name/*


%changelog
* Thu Mar 06 2008 Led <led@altlinux.ru> 1.2.2-alt1
- 1.2.2
- updated %name-1.2.2-makefile.patch

* Sat Feb 16 2008 Led <led@altlinux.ru> 1.2.1-alt2
- fixed spec

* Wed Jul 11 2007 Led <led@altlinux.ru> 1.2.1-alt1
- initial build for Sisyphus
- cleaned up spec
- fixed License
- added %name-1.2.1-makefile.patch

* Wed Sep 20 2006 Nicolas Niclausse <Nicolas.Niclausse@sophia.inria.fr> 1.2.1-1
- update 'requires': erlang (as in fedora extra) instead of erlang-otp

* Wed Apr 27 2005 Nicolas Niclausse <nicolas.niclausse@niclux.org> 1.0.2-1
- new release

* Thu Nov  18 2004 Nicolas Niclausse <nicolas.niclausse@niclux.org> 1.0.1-1
- new release

* Mon Aug  9 2004 Nicolas Niclausse <nicolas.niclausse@IDEALX.com> 1.0-1
- new release

* Mon Aug  9 2004 Nicolas Niclausse <nicolas.niclausse@IDEALX.com> 1.0.beta7-2
- fix doc 

* Mon Aug  9 2004 Nicolas Niclausse <nicolas.niclausse@IDEALX.com> 1.0.beta7-1
- initial rpm 
